#ifndef _blendy360cam_H_
#define _blendy360cam_H_

enum
{
	VP_HEADER	=	1000,
	// Lacy
	VP_AUTH_STATUS,
	VP_AUTH_INSTRUCT1,
	VP_AUTH_INSTRUCT2,
	VP_AUTH_INSTRUCT3,
	VP_AUTH_INSTRUCT4,
	VP_AUTHORIZE_CAM_BUTTON,
	VP_DEAUTHORIZE_BUTTON,
	VP_DEAUTHORIZE_CONFIRM,		// UNUSED
	VP_AUTHORIZED_OPTIONS,
	VP_DEAUTHORIZED_OPTIONS,
	// 360 Cam
	VP_MASK,
	VP_MASK_IMAGE,
	VP_PRINT_PROJECT_INFO,
	VP_PRINT_TIMECODE,
	VP_PRINT_FRAMENUMBER,
	VP_PRINT_CREDITS,
	VP_CREDITS,
	VP_FONT_SCALE,
	VP_PRINT_LOGO,
	VP_LOGO_IMAGE,
	VP_SHOW_INFO,
	VP_SHOW_TEXT,
	VP_SYPHON_ENABLED,
	VP_SYPHON_MODE,
	VP_SYPHON_WARNING,
	// from here new in 1.1
	VP_SYPHON_OPTIONS,
	VP_DOMEMASTER_OPTIONS,
	// from here new in 2.0
	VP_DOMEMASTER_FRAME_INFO,
	VP_STEREO_OPTIONS,
	VP_STEREO_MODE,
	VP_STEREO_PARALLAX,
	VP_STEREO_SWAP,
	VP_STEREO_SINGLE_CHANNEL_OPTIONS,
	VP_STEREO_SINGLE_CHANNEL,
	VP_STEREO_ANAGLYPH_OPTIONS,
	VP_STEREO_ANAGLYPH_SYSTEM,
	VP_STEREO_ANAGLYPH_METHOD,
	VP_STEREO_ANAGLYPH_GAMMA,
	VP_STEREO_SIDE_BY_SIDE_OPTIONS,
	VP_STEREO_ALIGNMENT,
	VP_STEREO_LEFT_MIRROR_X,
	VP_STEREO_LEFT_MIRROR_Y,
	VP_STEREO_RIGHT_MIRROR_X,
	VP_STEREO_RIGHT_MIRROR_Y,
	VP_STEREO_INTERLACED_OPTIONS,
	VP_STEREO_INTERLACED_TYPE,
	VP_CUBEMAP_OPTIONS,
	VP_CUBEMAP_FORMAT,
	VP_CUBEMAP_SINGLE_CHANNEL,
	VP_CUBEMAP_SIDE_BY_SIDE_CHANNELS,
	VP_CUBEMAP_CHANNEL0,
	VP_CUBEMAP_CHANNEL1,
	VP_CUBEMAP_CHANNEL2,
	VP_CUBEMAP_CHANNEL3,
	VP_CUBEMAP_CHANNEL4,
	VP_CUBEMAP_CHANNEL5,
	VP_CUBEMAP_CROSS_OFFSET,
	VP_CUBEMAP_0_0,
	VP_CUBEMAP_0_1,
	VP_CUBEMAP_0_2,
	VP_CUBEMAP_0_3,
	VP_CUBEMAP_0_4,
	VP_CUBEMAP_0_5,
	VP_CUBEMAP_1_0,
	VP_CUBEMAP_1_1,
	VP_CUBEMAP_1_2,
	VP_CUBEMAP_1_3,
	VP_CUBEMAP_1_4,
	VP_CUBEMAP_1_5,
	VP_CUBEMAP_2_0,
	VP_CUBEMAP_2_1,
	VP_CUBEMAP_2_2,
	VP_CUBEMAP_2_3,
	VP_CUBEMAP_2_4,
	VP_CUBEMAP_2_5,
	VP_CUBEMAP_3_0,
	VP_CUBEMAP_3_1,
	VP_CUBEMAP_3_2,
	VP_CUBEMAP_3_3,
	VP_CUBEMAP_3_4,
	VP_CUBEMAP_3_5,
	VP_CUBEMAP_4_0,
	VP_CUBEMAP_4_1,
	VP_CUBEMAP_4_2,
	VP_CUBEMAP_4_3,
	VP_CUBEMAP_4_4,
	VP_CUBEMAP_4_5,
	VP_CUBEMAP_5_0,
	VP_CUBEMAP_5_1,
	VP_CUBEMAP_5_2,
	VP_CUBEMAP_5_3,
	VP_CUBEMAP_5_4,
	VP_CUBEMAP_5_5,
	
	VP_FREE_INFO1,
	VP_FREE_INFO2,
	VP_BUY_NOW_BUTTON,
};

enum
{
	VP_MASK_DEFAULT,
	VP_MASK_CUSTOM,
	VP_MASK_DISABLED,
};

enum
{
	VP_LOGO_DEFAULT,
	VP_LOGO_CUSTOM,
	VP_LOGO_DISABLED,
};

enum
{
	VP_SYPHON_MODE_REALTIME,
	VP_SYPHON_MODE_FULLFRAME,
};

enum
{
	VP_STEREO_MODE_ANAGLYPH,
	VP_STEREO_MODE_SIDE_BY_SIDE,
	VP_STEREO_MODE_INTERLACED,
	VP_STEREO_MODE_SINGLE_CHANNEL,
};

enum
{
	VP_STEREO_SINGLE_CHANNEL_LEFT,
	VP_STEREO_SINGLE_CHANNEL_RIGHT,
};

enum
{
	VP_STEREO_ANAGLYPH_SYSTEM_RED_BLUE,
	VP_STEREO_ANAGLYPH_SYSTEM_RED_GREEN,
};

enum
{
	VP_STEREO_ANAGLYPH_METHOD_FULL,
	VP_STEREO_ANAGLYPH_METHOD_COLOR,
	VP_STEREO_ANAGLYPH_METHOD_HALF_COLOR,
	VP_STEREO_ANAGLYPH_METHOD_OPTIMIZED,
	VP_STEREO_ANAGLYPH_METHOD_GRAY,
};

enum
{
	VP_STEREO_ALIGNMENT_HORIZONTAL,
	VP_STEREO_ALIGNMENT_VERTICAL,
};

enum
{
	VP_STEREO_INTERLACED_TYPE_HORIZONTAL,
	VP_STEREO_INTERLACED_TYPE_VERTICAL,
	VP_STEREO_INTERLACED_TYPE_CHECKERBOARD,
};

enum
{
	VP_CUBEMAP_FORMAT_CROSS_HORIZONTAL,
	VP_CUBEMAP_FORMAT_CROSS_VERTICAL,
	VP_CUBEMAP_FORMAT_HORIZONTAL,
	VP_CUBEMAP_FORMAT_HORIZONTAL2,
	VP_CUBEMAP_FORMAT_VERTICAL,
	VP_CUBEMAP_FORMAT_VERTICAL2,
	VP_CUBEMAP_FORMAT_SINGLE_CHANNEL,
};

enum
{
	VP_CUBEMAP_CHANNEL_LEFT,
	VP_CUBEMAP_CHANNEL_RIGHT,
	VP_CUBEMAP_CHANNEL_DOWN,
	VP_CUBEMAP_CHANNEL_UP,
	VP_CUBEMAP_CHANNEL_BACK,
	VP_CUBEMAP_CHANNEL_FRONT,
};


#endif // _blendy360cam_H_
